Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1950135 - rust-language-tags-0.3.2 is available
Summary: rust-language-tags-0.3.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-language-tags
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2048854 2048855
TreeView+ depends on / blocked
 
Reported: 2021-04-15 20:20 UTC by Upstream Release Monitoring
Modified: 2022-05-24 20:42 UTC (History)
3 users (show)

Fixed In Version: rust-language-tags-0.3.2-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-24 20:42:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-04-15 20:20:18 UTC
Latest upstream release: 0.3.0
Current version/release in rawhide: 0.2.2-11.fc34
URL: https://crates.io/crates/language-tags

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17009/

Comment 1 Upstream Release Monitoring 2021-04-21 07:22:55 UTC
Latest upstream release: 0.3.1
Current version/release in rawhide: 0.2.2-11.fc34
URL: https://crates.io/crates/language-tags

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17009/

Comment 2 Upstream Release Monitoring 2021-05-24 18:07:31 UTC
Latest upstream release: 0.3.2
Current version/release in rawhide: 0.2.2-11.fc34
URL: https://crates.io/crates/language-tags

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/17009/

Comment 3 Fabio Valentini 2022-05-21 19:08:52 UTC
Note that this update is currently blocked by an upstream issue.
The crate is missing the license file / text for the Apache-2.0 since the "MIT" -> "MIT OR Apache-2.0" relicensing with version 0.3.0:

https://github.com/pyfisch/rust-language-tags/issues/40

I'm not sure how active the upstream project is, it looks like there was no activity since last year.
If it becomes clear that the upstream project will not act on the issue I filed, we can include a copy of the official Apache-2.0 license text ourselves, since the Apache-2.0 license is unambiguous.

Comment 4 Fedora Update System 2022-05-24 20:39:59 UTC
FEDORA-2022-de1e8e3468 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-de1e8e3468

Comment 5 Fedora Update System 2022-05-24 20:42:57 UTC
FEDORA-2022-de1e8e3468 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.